Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create entity {entityType} link

POST/workspaces/{organizationId}/entities/{entityType}/{entityId}/links
Path parameters
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
Request body
application/json
toTypestringrequired
min length 1
toIdstringrequired
min length 1
kindstring
default: "relates"
labelstring
Responses
201

Linked

linkobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
fromTypestringrequired
fromIdstringrequired
toTypestringrequired
toIdstringrequired
kindstringrequired
labelstring | nullrequired
createdAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/entities/string/string/links' \
  -H 'Content-Type: application/json' \
  -d '{
  "toType": "string",
  "toId": "string",
  "kind": "relates",
  "label": "string"
}'
Response
{
  "link": {
    "id": "string",
    "organizationId": "string",
    "fromType": "string",
    "fromId": "string",
    "toType": "string",
    "toId": "string",
    "kind": "string",
    "label": "string",
    "createdAt": "string"
  }
}